class City < ApplicationRecord
  self.primary_key = :id

  belongs_to :country, optional: true
  has_many :locations, dependent: :destroy
  has_many :ips, through: :locations

  validates :name, presence: true
  validates :name, uniqueness: {scope: :country, case_sensitive: false}

  scope :search, -> (name:, country:) {
    where('lower(name) = ? and country_id = ?', name.downcase, country.id)
  }
end
