module GeolocationService::Contracts
  class BulkDataContract < Dry::Validation::Contract
    params do
      required(:file_path).filled(:string)

      optional(:contracts).maybe(:filled?, :hash?)
    end

    rule(:file_path) do
      key.failure('File not found') unless File.exist?(value)
    end
  end
end
