module GeolocationService::Contracts
  class IpAddressContract < Dry::Validation::Contract
    params do
      required(:address).filled(:string)

      optional(:mystery_value).maybe(:filled?, :str?)
    end

    rule(:address) do
      unless /^[0-9]{1,3}.[0-9]{1,3}.[0-9]{1,3}.[0-9]{1,3}$/.match?(value)
        key.failure('Invalid IP address')
      end
    end
  end
end
